Name:           libgnomeuimm20
Version:        2.0.0
Release:        1
Epoch:          0
Summary:        A C++ interface for Gnome libs (a GUI library for X).

Group:          System Environment/Libraries
License:        LGPL
URL:            http://gtkmm.sourceforge.net/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/libgnomeuimm/2.0/libgnomeuimm-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
BuildRequires:	libgnomemm20-devel
BuildRequires:	libgnomecanvasmm20-devel 
BuildRequires:	gconfmm20-devel 
BuildRequires:	libglademm20-devel 
BuildRequires:	libgnomeui-devel
BuildRequires:  libtool
Obsoletes:      libgnomeuimm2

%description
This package provides a C++ interface for GnomeUI.  It is a subpackage
of the Gtk-- project.  The interface provides a convenient interface for C++
programmers to create Gnome GUIs with GTK+'s flexible object-oriented 
framework.

%package devel
Summary:        Headers for developing programs that will use Gnome--.
Group:          Development/Libraries
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       libgnomeui-devel
Requires:       libgnomemm20-devel
Requires:       libgnomecanvasmm20-devel
Requires:       gconfmm20-devel
Requires:       libglademm20-devel
Obsoletes:      libgnomeuimm2-devel

%description devel
This package contains the headers that programmers will need to develop
applications which will use Gnome--, part of Gtk-- the C++ interface to 
the GTK+ (the Gimp ToolKit) GUI library.


%prep
%setup -q -n libgnomeuimm-%{version}


%build
aclocal -I scripts
libtoolize -c -f
automake -a -c -f
autoconf
%configure --enable-static --enable-shared
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig


%postun
/sbin/ldconfig


%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, -)
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/libgnomeuimm-2.0
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Aug 21 2004 Denis Leroy <denis@poolshark.org> - 2.0.0-0.fdr.0
- Switched to bz2
- Changed suffix to 20, added Obsolete tag

* Sat Nov 1  2003 Michael Koziarski <michael@koziarski.org> - 2.0.0-0.fdr.3
- Fix overly simplified dependencies

* Sat Nov 1  2003 Michael Koziarski <michael@koziarski.org> - 2.0.0-0.fdr.2
- setup -q
- simplify Dependencies

* Sat Oct 18 2003 Michael Koziarski <michael@koziarski.org> - 2.0.0-0.fdr.1
- Initial RPM creation
